Skip to navigation

Credential API Login

View as Markdown

The Login method can be used to authenticate and retrieve Docusign Connect API credentials based on an email and password. This method will return an array of valid Docusign Connect API accounts that match the email and password provided.

Schema

Login
NameSchema TypeDescription
EmailStringEmail to authenticate with. Place your bracketed integrators key in front of the email if you have received one from Docusign.

Sample:
[integrator key]email
PasswordStringPassword to authenticate with.
ReturnBaseUrlBooleanWhen true, the response will return the BaseUrl string. This contains information about the server location of your account. The string is should be used in the header for future API calls.

Sample Request XML:

The following are samples of the SOAP 1.1 and SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

SOAP 1.1

Request:

POST /api/3.0/credential.asmx HTTP/1.1
Host: www.docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/Credential/Login"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Body>
<Login xmlns="http://www.docusign.net/API/Credential">
<Email>string</Email>
<Password>string</Password>
</Login>
</soap:Body>
</soap:Envelope>

Response:

HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Body>
<LoginResponse xmlns="http://www.docusign.net/API/Credential">
<LoginResult>
<Success>boolean</Success>
<ErrorCode>User_Does_Not_Exist_In_System or Account_Lacks_Permissions or User_Lacks_Permissions or User_Authentication_Failed or Unspecified_Error or Success</ErrorCode>
<AuthenticationMessage>string</AuthenticationMessage>
<Accounts>
<Account>
<AccountID>string</AccountID>
<AccountName>string</AccountName>
<UserID>string</UserID>
<UserName>string</UserName>
<Email>string</Email>
</Account>
<Account>
<AccountID>string</AccountID>
<AccountName>string</AccountName>
<UserID>string</UserID>
<UserName>string</UserName>
<Email>string</Email>
</Account>
</Accounts>
</LoginResult>
</LoginResponse>
</soap:Body>
</soap:Envelope>

SOAP 1.2

Request:

POST /api/3.0/credential.asmx HTTP/1.1
Host: www.docusign.net
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
<soap12:Body>
<Login xmlns="http://www.docusign.net/API/Credential">
<Email>string</Email>
<Password>string</Password>
</Login>
</soap12:Body>
</soap12:Envelope>

Response:

HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
<soap12:Body>
<LoginResponse xmlns="http://www.docusign.net/API/Credential">
<LoginResult>
<Success>boolean</Success>
<ErrorCode>User_Does_Not_Exist_In_System or Account_Lacks_Permissions or User_Lacks_Permissions or User_Authentication_Failed or Unspecified_Error or Success</ErrorCode>
<AuthenticationMessage>string</AuthenticationMessage>
<Accounts>
<Account>
<AccountID>string</AccountID>
<AccountName>string</AccountName>
<UserID>string</UserID>
<UserName>string</UserName>
<Email>string</Email>
</Account>
<Account>
<AccountID>string</AccountID>
<AccountName>string</AccountName>
<UserID>string</UserID>
<UserName>string</UserName>
<Email>string</Email>
</Account>
</Accounts>
</LoginResult>
</LoginResponse>
</soap12:Body>
</soap12:Envelope>

Login Result

LoginResult
NameSchema TypeDescription
AccountIDDSXIdAccount ID of the valid Docusign Connect API user.
AccountNameStringAccount Name of the valid Docusign Connect API user.
UserIDDSXIdUser ID of the valid Docusign Connect API user.
UserNameStringUsername of the valid Docusign Connect API user.
EmailStringEmail of the valid Docusign Connect API user.